import request from "@/utils/request";


//主归属人变更信息查看（列表）
export function queryViewMainOwnerList(params){
    return request.get({
        url: '/crm/app/appCrmCusUserNewController/viewInformationChangesInprimaryOwnership',
        data: params
    },{isTransformResponse: false})
}

//主归属人变更信息查看（详情）
export function queryViewMainOwnerDetail(params){
    return request.get({
        url: '/crm/app/appCrmCusUserNewController/getCrmCusUserNewChangeOwnerList',
        data: params
    },{isTransformResponse: false})
}

//查询主归属人变更人员的列表数据
export function personnelAwaitingReviewForChange(params){
    return request.get({
        url: '/crm/app/appCrmCusUserNewController/personnelAwaitingReviewForChange',
        data: params
    },{isTransformResponse: false})
}

//主归属人变更驳回
export function changeOfPrimaryOwnershipNoApproved(params) {
    return request.get({
        url:'/crm/app/appCrmCusUserNewController/changeOfPrimaryOwnershipNoApproved',
        data: params
    }, {isTransformResponse: false});
}
//主归属人变更通过
export function changeOfPrimaryOwnershipApproved (params) {
    return request.get({
        url: '/crm/app/appCrmCusUserNewController/changeOfPrimaryOwnershipApproved',
        data: params
    }, {isTransformResponse: false});
}